Package org.gradle.api.artifacts.component

# Interface ComponentSelector

All Known Subinterfaces:
  `LibraryComponentSelector`, `ModuleComponentSelector`, `ProjectComponentSelector`

@Incubating public interface ComponentSelector
Represents some opaque criteria used to select a component instance during dependency resolution. Various sub-interfaces expose specific details about the criteria.

Since:
  1.10

## Method Summary

Modifier and Type
Method
Description
`String`
`getDisplayName()`
Returns a human-consumable display name for this selector.
`boolean`
`matchesStrictly(ComponentIdentifier identifier)`
Checks if selector matches component identifier.

## Method Details

### getDisplayName

String getDisplayName()
Returns a human-consumable display name for this selector.

Returns:
  Display name
Since:
  1.10

### matchesStrictly

boolean matchesStrictly(ComponentIdentifier identifier)
Checks if selector matches component identifier.

Parameters:
  `identifier` - Component identifier
Returns:
  if this selector matches exactly the given component identifier.
Since:
  1.10